Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.ehcache
Class EhCacheCacheManager

    java.lang.Object
      org.springframework.cache.support.AbstractCacheManager
          org.springframework.cache.ehcache.EhCacheCacheManager

All Implemented Interfaces:
  InitializingBean, CacheManager

    public class EhCacheCacheManager

extends AbstractCacheManager

CacheManager backed by an EhCache `CacheManager`.

Since:
  3.1
Author:
  Costin Leau, Juergen Hoeller

Constructor Summary
`EhCacheCacheManager()`

Method Summary
`Cache` | `getCache(java.lang.String name)` Return the cache associated with the given name.
`net.sf.ehcache.CacheManager` | `getCacheManager()` Return the backing EhCache `CacheManager`.
`protected java.util.Collection<Cache>` | `loadCaches()` Load the caches for this cache manager.
`void` | `setCacheManager(net.sf.ehcache.CacheManager cacheManager)` Set the backing EhCache `CacheManager`.

Methods inherited from class org.springframework.cache.support.AbstractCacheManager
`addCache, afterPropertiesSet, getCacheNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhCacheCacheManager

    public EhCacheCacheManager()

Method Detail

### setCacheManager

    public void setCacheManager(net.sf.ehcache.CacheManager cacheManager)

  Set the backing EhCache `CacheManager`.

### getCacheManager

    public net.sf.ehcache.CacheManager getCacheManager()

  Return the backing EhCache `CacheManager`.

### loadCaches

    protected java.util.Collection<Cache> loadCaches()

  Description copied from class: `AbstractCacheManager`
  Load the caches for this cache manager. Occurs at startup. The returned collection must not be null.

  Specified by:
    `loadCaches` in class `AbstractCacheManager`

### getCache

    public Cache getCache(java.lang.String name)

  Description copied from interface: `CacheManager`
  Return the cache associated with the given name.

  Specified by:
    `getCache` in interface `CacheManager`
  Overrides:
    `getCache` in class `AbstractCacheManager`
  Parameters:
    `name` - cache identifier (must not be `null`)
  Returns:
    associated cache, or `null` if none is found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD